<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css"
            rel="stylesheet"
            integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0"
            crossorigin="anonymous">
        <title>Note Cards</title>
        <style>
            nav ul {
                background: #000000;
                padding: 0 20px;
                list-style: none;
                position: relative;
                display: inline-table;
                width: 100%;
                color: aliceblue;
            }
            nav ul li{
                float:left;
            }
            nav ul li:hover{
                background:rgb(71, 71, 71);
            }
            nav ul li a{
                display: block;
                padding: 25px;
                color: #fff;
                text-decoration: none;
            }
        </style>
    </head>
    <body style="align-items: center; background-color:rgba(5, 58, 38, 0.247);"align="center">
        <h2 style="background-color: aliceblue; font-style: italic; color: navy;">Your Note Cards will be displayed here!</h2>
        <p>{%for i in Notes%}
        <div style="display: flex; flex-direction: row; flex-wrap: wrap;">
            <div class="card" style="width: 18rem; margin: 10px; background-color: black;">
                <div class="card-body">
                    <div style="display: flex; flex-direction: row">
                        <div style="
                            align-items: center;
                            background: whitesmoke;
                            width: 20px;
                            height: 20px;
                            margin-left: 10px;
                            margin-right: 10px;
                            border-radius: 50%;">
                            </div>
                        <h6></h6>
                        <h6 class="card-title" style="color: whitesmoke;">{{i.title}}</h6>
                    </div>
                    <h6></h6>
                    <h6 style="color:  rgb(255, 166, 0);">To: {{i.to}}</h6>
                    <p class="card-text" style="color:wheat;">{{i.message}}</p>
                    <p class="card-text" align="right" style="color: papayawhip;">-{{i.From}}-</p>
                </div>
            </div>
        </div>
        {%endfor%}
        </p>
        <nav>
            <ul>
                <li><a href="#">HOME</a></li>
                <li><a href="http://127.0.0.1:8000/lab-4/add-note">CREATE MY NOTE</a>
                <li><a href="http://127.0.0.1:8000/lab-4/">SHOW MY NOTE IN TABLE</a>
                <li><a href="http://127.0.0.1:8000/admin">LOGIN AS ADMIN</a></li>
            </ul>
        </nav> 
    </body>    
</html>